For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get batch attachment

Gets a batch attachment.

get

Returns the attachment metadata. Use Accept header to control response format.

Path parameters
batchIdstringRequired

The batch ID.

attachmentIdstringRequired

The attachment ID.

Responses
200

OK

Represents a file attachment associated with a notification message or batch.

idstringOptional

Gets or sets the unique identifier for the attachment.

hrefstring · nullableRead-onlyOptional

Gets the URL to download the attachment.

namestringOptional

Gets or sets the display name for the attachment.

fileNamestringOptional

Gets or sets the file name of the attachment.

fileSizeinteger · int32Optional

Gets or sets the size of the attachment in bytes.

contentTypestringOptional

Gets or sets the content type of the attachment.

get/public/v1/notifications/batches/{batchId}/attachments/{attachmentId}
GET /public/v1/notifications/batches/{batchId}/attachments/{attachmentId} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "href": "text",
  "name": "text",
  "fileName": "text",
  "fileSize": 1,
  "contentType": "text"
}

Last updated

Was this helpful?